EMI 1 (Kebnekaise) - Update 17 (19.07.2012)

The Update contains:

  • revision releases of BDII top, v. 1.0.2, BLAH, v. 1.16.6, gLite-gsoap/gss v. 3.0.3 and StoRM SE, v. 1.8.3

BDII top v. 1.0.2, task #30161

What's new:

  • Update FCR mechanism to work with the new SAM interface.
  • Fixed wrong location of top-urls.conf file.
  • Randomise glite-info-update-endpoints cron job.
  • BDII top now depends on emi-resource-information-service.

Installation and configuration:

  • Restart the BDII after an upgrade.

Known issues

  • Old /opt/glite/etc/gip/top-urls.conf has to be manually removed.

List of RfCs:

Documentation:

Updated artefacts:

Binaries
bdii-config-top-1.0.6-1.el5.noarch.rpm
glite-info-plugin-fcr-3.0.4-1.noarch.rpm
glite-info-update-endpoints-2.0.10-1.noarch.rpm
emi-bdii-top-1.0.1-2.sl5.x86_64.rpm
Binary tarballs
bdii-config-top-1.0.6.tgz
glite-info-plugin-fcr-3.0.4.tgz
glite-info-update-endpoints-2.0.10.tgz
emi-bdii-top-1.0.1.tar.gz
Sources
bdii-config-top-1.0.6-1.el5.src.rpm
glite-info-plugin-fcr-3.0.4-1.el5.src.rpm
glite-info-update-endpoints-2.0.10-1.el5.src.rpm
emi-bdii-top-1.0.1-2.sl5.src.rpm
Source tarballs
bdii-config-top-1.0.6.src.tgz
glite-info-plugin-fcr-3.0.4.src.tgz
glite-info-update-endpoints-2.0.10.src.tgz
emi-bdii-top-1.0.1-2.sl5.x86_64.tar.gz

BLAH v. 1.16.6, task #30327

What's New

  • This release fixes a major bug (#94712) and several minor issues

Installation &Configuration

  • yaim reconfiguration is needed after installation or update

Known issues

  • Remarks: bug #94519 appears to be solved, but in one case (cancelling a pending job) it seems not. The case is difficult to reproduce, but an annotation should be added to the documentation to advise that PENDING jobs can not be cancelled.

List of RfCs:

Documentation:

Updated artefacts:

Binaries
glite-ce-blahp-1.16.6-3.sl5.x86_64.rpm
Binary tarballs
glite-ce-blahp-1.16.6-3.sl5.x86_64.tar.gz
Sources
updates/glite-ce-blahp-1.16.6-3.sl5.src.rpm
Source tarballs
glite-ce-blahp-1.16.6.tar.gz

gLite-gsoap/gss v. 3.0.3, task #31816

What's News

  • This is a bugfix release of GSS/gSOAP plugin, fixing buffer under-run during setting proxy filename. GSS module should be updated when globus-gssapi-gsi >= 10.6 (globus >= 5.2.1) is used.

I nstallation &Configuration:

  • There is no installation, the packages will be brought in by a depending application.

Known issues:

  • None

List of RfCs:

Documentation:

Updated artefacts:

Binaries
glite-lbjp-common-gss-3.0.6-1.sl5.x86_64.rpm
glite-lbjp-common-gss-debuginfo-3.0.6-1.sl5.x86_64.rpm
Binary tarballs
glite-lbjp-common-gss-3.0.6-1.sl5.x86_64.tar.gz
glite-lbjp-common-gss-debuginfo-3.0.6-1.sl5.x86_64.tar.gz
Sources
glite-lbjp-common-gss-3.0.6-1.sl5.src.rpm
Source tarballs
glite-lbjp-common-gss-3.0.6.tar.gz

StoRM SE v. 1.8.3, task #30821

  • The StoRM product team is pleased to announce the release of StoRM v1.8.3 available for SL5 x86_64.
  • StoRM service is composed by 5 sub-components (4 servers: BE, FE, GridFTP, GridHTTPS and 1 client: clientSRM), which can be installed on distinguished hosts.
  • This release provides some bug fixes.
  • For complete information on StoRM, including instructions on how to install and configure the service, see the StoRM website

StoRM-FrontEnd

What's new

  • storm-frontend-server v1.7.3-2 fixed Bugs:
    • Bug @286: removed read permission acl to others on configuration file

Installation and configuration

  • To install storm-frontend-server install its metapackage RPM: emi-storm-frontend-server-mp
  • To configure storm-frontend-server use yaim on node se_storm_frontend. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_frontend
  • The service uses ports 8444 (inbound), 8080 and 9998 (outbound to BE host), 3306 (outbound to MySQL host), so open them on your firewall.
  • The service needs to be installed on a machine on which storm file system is mounted.
  • To upgrade storm-frontend-server:
    • service storm-frontend-server stop
    • yum update storm-frontend-server
    • service storm-frontend-server start
    • restart all the other storm services (not required, but recommended)

Known issues

  • None

StoRM-BackEnd-Server

What's new

  • storm-backend-server v1.8.2 Fixed bugs: *Bug @282: srmPrepareToPut returns the wrong error when a non existing space token is provided *Bug @283: Storage space database update time is not alway set correctly *Bug @284: The execution of srmGetSpaceMetadata on a valid token produce a null pointer exception *Bug @285: srmReserveSpace management produces spurious database entries *Bug @290: NamespaceFSvalidation check can fail if storage area root is specified as link *Bug @293: path-authz.db is not recognized as a configuration file

Installation and configuration

  • To install storm-backend-server, install its metapackage RPM: emi-storm-backend-server-mp
  • To configure storm-backend-server use yaim on the node se_storm_backend.
  • The System Administration guide contains any useful information about installation and configuration.
  • Moreover, a good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_backend
  • If you configure other services with yaim on the same host always specify also se_storm_backend node

  • To upgrade storm-backend-server: *service storm-backend-server stop *yum update storm-backend-server *service storm-backend-server start *restart all the other storm services (not required, but recommended)

Known issues

  • None

StoRM-GridFTP-Server

What's new

  • storm-gridftp-server v1.1.0-8 (repackaged)

Installation and configuration

  • To install storm-gridftp-server, install its metapackage RPM: 'emi-storm-globus-gridftp-mp'

Known issues

  • None

StoRM-GridHTTPs-Server

What's new

  • storm-gridhttps-server v1.0.5-3 fixed Bugs: *Packaging Bug @286: removed read permission acl to others on configuration file
  • Installation and configuration *To install storm-gridhttps-server install its metapackage RPM: 'emi-storm-gridhttps-mp'. *To configure storm-gridhttps-server you need to fill the requested YAIM variables as described in storm-gridhttps-server installation and configuration guide. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_gridhttps *The service uses ports 8443 and (by default) 8088, so open them on your firewall. *The service needs to be installed on a machine on which StoRM file system is mounted. *If installed on a different host that the BackEnd one the UID and GID of BackEnd user and GridHTTPs user must be equal on those hosts.

Known issues

  • None

StoRM-GridHTTPs-Plugin

What's new

  • storm-gridhttps-plugin v1.0.3-5 fixed Bugs: *Packaging Bug @286: removed read permission acl to others on configuration file

Installation and configuration

  • This package is installed with StoRM BackEnd metapackage installation

Known issues

  • None

StoRM-SRM-Client

What's new

  • storm-srm-client v1.5.0-8 (repackaged)

Installation and configuration

  • To install storm-srm-client, install its metapackage RPM: 'emi-storm-srm-client-mp'

Known issues

  • none

YAIM-STORM

What's new

  • yaim-storm v4.1.9-1 fixed Bugs: *Bug @292: Storage area roots does not belong to storm user

Know issue:

  • None

Documentation

What's new

List of RfCs:

Documentation:

Updated artefacts:

Binaries
storm-srm-client-1.5.0-8.sl5.x86_64.rpm
storm-backend-server-1.8.3-1.sl5.x86_64.rpm
storm-common-1.1.4-1.sl5.noarch.rpm
storm-frontend-server-1.7.3-2.sl5.x86_64.rpm
storm-globus-gridftp-server-1.1.0-8.sl5.x86_64.rpm
storm-gridhttps-server-1.0.5-3.sl5.noarch.rpm
yaim-storm-4.1.9-1.sl5.noarch.rpm
Binary tarballs
storm-srm-client-1.5.0-8.sl5.x86_64.tar.gz
storm-backend-server-1.8.3-1.sl5.x86_64.tar.gz
storm-common-1.1.4-1.sl5.noarch.tar.gz
storm-frontend-server-1.7.3-2.sl5.x86_64.tar.gz
storm-globus-gridftp-server-1.1.0-8.sl5.x86_64.tar.gz
storm-gridhttps-server-1.0.5-3.sl5.noarch.tar.gz
yaim-storm-4.1.9-1.sl5.noarch.tar.gz
Sources
storm-srm-client-1.5.0-8.sl5.src.rpm
storm-backend-server-1.8.3-1.sl5.src.rpm
/storm-common-1.1.4-1.sl5.src.rpm
storm-frontend-server-1.7.3-2.sl5.src.rpm
storm-globus-gridftp-server-1.1.0-8.sl5.src.rpm
storm-gridhttps-server-1.0.5-3.sl5.src.rpm
yaim-storm-4.1.9-1.sl5.src.rpm
Source tarballs
storm-srm-client-1.5.0-8.sl5.x86_64.src.tar.gz
emi-storm-backend-mp-1.0.0.tar.gz
emi-storm-frontend-mp-1.0.0.tar.gz
emi-storm-globus-gridftp-mp-1.0.0.tar.gz
storm-backend-server-1.8.3.tar.gz
storm-common-1.1.4.tar.gz
storm-dynamic-info-provider-1.7.4.tar.gz
storm-frontend-server-1.7.3-2.sl5.x86_64.src.tar.gz
storm-globus-gridftp-server-1.1.0.tar.gz
storm-gridhttps-server-1.0.5-src.tar.gz
yaim-storm-4.1.9.tar.gz

-- DoinaCristinaAiftimiei - 18-Jul-2012

Edit | Attach | Watch | Print version | History: r3 < r2 < r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r3 - 2012-08-02 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback